package com.jty.wsxt.application.service.impl;

import com.jty.wsxt.application.service.NrscAuthorityServer;
import com.jty.wsxt.domain.DomainRegistry;
import com.jty.wsxt.domain.model.auth.authority.nrsc.NrscAuthority;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 说明
 *
 * @author Manjiajie
 * @since 2019-2-13 19:19:46
 */
@Service
public class NrscAuthorityServerImple implements NrscAuthorityServer {
    @Override
    public List<NrscAuthority> getAllAuthorities() {
        return DomainRegistry.nrscAuthorityRepository().findAll();
    }

    @Override
    public List<NrscAuthority> getDepthOneAuthorities() {
        return  DomainRegistry.nrscAuthorityRepository().findAllByDepth(1);
    }
}
