package com.jty.wsxt.infrastructure.code.image;

import com.jty.wsxt.infrastructure.code.ValidateCode;
import lombok.Data;

import java.awt.image.BufferedImage;
import java.time.LocalDateTime;

/**
 * 图片验证码
 *
 * @author Jason
 * @since 2019/1/7 17:35
 */
@Data
public class ImageCode extends ValidateCode {

    private BufferedImage image;

    public ImageCode(){
        super();
    }

    public ImageCode(BufferedImage image, String code, int expireIn){
        super(code, expireIn);
        this.image = image;
    }

    public ImageCode(BufferedImage image, String code, LocalDateTime expireTime){
        super(code, expireTime);
        this.image = image;
    }

}
