package com.jty.wsxt.domain.model.type;

import com.jty.wsxt.domain.DomainRegistry;
import com.jty.wsxt.domain.shared.IdentifiedEntityObject;
import lombok.Data;

import javax.persistence.Entity;

/**
 * Type
 *
 * @author Manjiajie
 * @since 2019-6-21 10:26:23
 */
@Data
@Entity
public class Type extends IdentifiedEntityObject<Type> {

    private String name;

    private Integer subjectId;

    private Boolean used;

    @Override
    public boolean sameIdentityAs(Type other) {
        return false;
    }

    public void save(){
        DomainRegistry.typeRepository().save(this);
    }
}
