package com.jty.wsxt.domain.model.auth.client;

import org.springframework.data.jpa.repository.JpaRepository;

import java.util.Optional;

/**
 * ClientRepository
 *
 * @author Manjiajie
 * @since 2019-6-11 10:14:45
 */
public interface ClientRepository extends JpaRepository<AuthClient,Integer> {
    Optional<AuthClient> findByUserId(Integer id);

    Optional<AuthClient> findByClientId(String clientId);
}
