package com.jty.wsxt.domain.model.auth.history;

import com.jty.wsxt.domain.shared.ValueObject;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 * OperatorId
 *
 * @author Manjiajie
 * @since 2019-2-13 19:19:46
 */
@Data
@Embeddable
@AllArgsConstructor
@NoArgsConstructor
public class OperatorId implements ValueObject<OperatorId> {

    @Column(name="operator_id")
    private Integer id;

    @Override
    public boolean sameValueAs(OperatorId other) {
        return false;
    }
}
