package com.jty.wsxt.domain.model.auth.user;

import org.springframework.data.jpa.repository.JpaRepository;

import java.util.Optional;

/**
 * UserRepository
 *
 * @author Manjiajie
 * @since 2019-6-11 10:14:55
 */
public interface UserRepository extends JpaRepository<AuthUser,Integer> {
    Optional<AuthUser> findByMobile(String username);

    Optional<AuthUser> findByAccount(String username);

    Optional<AuthUser> findByMobileOrAccount(String mobile, String account);
}
