package com.jty.wsxt.domain.model.module;

import com.jty.wsxt.domain.DomainRegistry;
import com.jty.wsxt.domain.shared.IdentifiedEntityObject;
import lombok.Data;

import javax.persistence.Entity;

/**
 * Module
 *
 * @author Manjiajie
 * @since 2019-6-21 10:37:33
 */
@Data
@Entity
public class Module extends IdentifiedEntityObject<Module> {

    private String name;

    private Integer typeId;

    private Boolean used = true;

    @Override
    public boolean sameIdentityAs(Module other) {
        return false;
    }

    public void save(){
        DomainRegistry.moduleRepository().save(this);
    }
}
