package com.jty.wsxt.domain.shared;

import javax.persistence.Id;
import javax.persistence.MappedSuperclass;
import java.io.Serializable;

/**
 * 层超类型（第一层）
 * 委派身份标识（主键）
 *
 * @author Jason
 * @since 2019/4/17 11:00
 */
@MappedSuperclass
public abstract class IdentifiedDomainObject implements Serializable {

    @Id
    private int id;

    protected int getId(){
        return this.id;
    }

    protected void setId(int id){
        this.id=id;
    }

    public IdentifiedDomainObject(){
        super();
    }
}
